#include "HauntProjectilePlayerInventoryComponent.h"
#include "Net/UnrealNetwork.h"
#include "AuthoritativeActorPoolComponent.h"

void UHauntProjectilePlayerInventoryComponent::OnRep_CurrentHauntCount(int32 previousHauntCount)
{

}

void UHauntProjectilePlayerInventoryComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UHauntProjectilePlayerInventoryComponent, _currentHauntCount);
}

UHauntProjectilePlayerInventoryComponent::UHauntProjectilePlayerInventoryComponent()
{
	this->_currentHauntCount = 0;
	this->_hauntPool = CreateDefaultSubobject<UAuthoritativeActorPoolComponent>(TEXT("HaunProjectilePool"));
}
